Package org.aopalliance.aop

# Class AspectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.aopalliance.aop.AspectException

All Implemented Interfaces:
  `Serializable`

public class AspectException extends RuntimeException
Superclass for all AOP infrastructure exceptions. Unchecked, as such exceptions are fatal and end user code shouldn't be forced to catch them.

Author:
  Rod Johnson, Bob Lee, Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AspectException(String message)`
Constructor for AspectException.
`AspectException(String message, Throwable cause)`
Constructor for AspectException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AspectException

public AspectException(String message)
Constructor for AspectException.

Parameters:
  `message` - the exception message

### AspectException

public AspectException(String message, Throwable cause)
Constructor for AspectException.

Parameters:
  `message` - the exception message
  `cause` - the root cause, if any